module.exports = {
    sourceType: 'unambiguous',
    presets: [
        ["@babel/preset-env", {targets: "> 1% in AU and not dead", shippedProposals: true}],
        ['@vue/babel-preset-app', {useBuiltIns: 'entry', 'corejs': 2}]
    ],
    plugins: [
        '@babel/plugin-proposal-nullish-coalescing-operator', // 双问号空置合并 ??
        '@babel/plugin-proposal-logical-assignment-operators', // 双问号空值赋值  ??=
        '@babel/plugin-transform-private-methods',
        '@babel/plugin-proposal-optional-chaining', // 可选链
        ['import', {libraryName: 'sei-ui', libraryDirectory: 'src/components'}, 'sei-ui'],
        ['import', {libraryName: 'sei-ui-news', libraryDirectory: 'src/components'}, 'sei-ui-news'],
        ['component', {libraryName: 'element-ui', styleLibraryName: 'theme-chalk'}, 'element-ui']
    ]
};
