import Vue from 'vue';
import 'element-ui/lib/theme-chalk/index.css';
import {
    Step,
    Steps,
    Form,
    FormItem,
    Button,
    Select,
    Option,
    RadioGroup,
    Radio,
    Input,
    InputNumber,
    Dialog,
    Switch,
    Table,
    TableColumn,
    Notification,
    Tabs,
    TabPane,
    Popconfirm,
    Message,
    Tag,
    Row,
    Col,
    Result,
    Footer,
    Card,
    Menu,
    MenuItem,
    MenuItemGroup,
    Submenu,
    MessageBox,
    Slider,
    Collapse,
    CollapseItem,
    Tooltip,
    ColorPicker,
    Scrollbar,
    Divider,
    TimeSelect,
    TimePicker,
    Calendar,
    Rate,
    Link,
    Progress,
    Upload,
    Transfer,
    Avatar,
    Cascader,
    DatePicker,
    Dropdown, DropdownMenu, DropdownItem, Image, Alert,
    CheckboxGroup,CheckboxButton,

} from 'element-ui';

const components = [Alert, Image, Step,
    Steps, RadioGroup, Radio, Button,
    Select, Option, Input, InputNumber, Form, FormItem, Dialog,
    Switch, Table, TableColumn, Tabs, TabPane, Popconfirm, Tag,
    Row, Col, Result, Footer, Card, Menu, MenuItem, MenuItemGroup,
    Submenu, MessageBox, Slider, Collapse, CollapseItem, Tooltip, ColorPicker, Scrollbar, Divider, TimePicker, TimeSelect, Calendar, Rate, Link, Upload, Transfer, Progress, Avatar, Cascader, DatePicker, Dropdown, DropdownMenu, DropdownItem,
    CheckboxGroup,CheckboxButton];

components.forEach(component => {
    Vue.component(component.name, component);
});

Vue.prototype.$message = Message;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$notify = Notification;


export default components;
